VERSION 2.00
Begin Form verusr
   Caption         =   "Verify User"
   ClientHeight    =   1950
   ClientLeft      =   3405
   ClientTop       =   3300
   ClientWidth     =   5640
   Height          =   2640
   Left            =   3345
   LinkTopic       =   "Form1"
   ScaleHeight     =   1950
   ScaleWidth      =   5640
   Top             =   2670
   Width           =   5760
   Begin TextBox eFrom
      Height          =   285
      Left            =   1920
      TabIndex        =   5
      Top             =   480
      Width           =   2775
   End
   Begin TextBox eUser
      Height          =   285
      Left            =   1920
      TabIndex        =   2
      Top             =   840
      Width           =   2775
   End
   Begin TextBox eServer
      Height          =   285
      Left            =   1920
      TabIndex        =   1
      Top             =   120
      Width           =   2775
   End
   Begin TextBox eResult
      Height          =   615
      Left            =   120
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   1200
      Width           =   5415
   End
   Begin Label lFrom
      Alignment       =   1  'Right Justify
      Caption         =   "Email From"
      Height          =   255
      Left            =   600
      TabIndex        =   6
      Top             =   480
      Width           =   1095
   End
   Begin Label lUser
      Alignment       =   1  'Right Justify
      Caption         =   "User"
      Height          =   255
      Left            =   600
      TabIndex        =   4
      Top             =   840
      Width           =   1095
   End
   Begin Label lServer
      Alignment       =   1  'Right Justify
      Caption         =   "SMTP Server"
      Height          =   255
      Left            =   240
      TabIndex        =   3
      Top             =   120
      Width           =   1455
   End
   Begin Menu mVerify
      Caption         =   "Verify"
   End
   Begin Menu mExit
      Caption         =   "Exit"
   End
End

Sub Form_Load ()
Dim Code As Integer
Dim Version As Integer
Dim S1, S2, S3 As String
eResult.Visible = True
Code = seeAttach(1, SEE_KEY_CODE)
If Code < 0 Then
  MsgBox "ERROR: Cannot attach. Check SEE_KEY_CODE."
  End
End If
Version = seeStatistics(0, SEE_GET_VERSION)
S1 = "SMTP/POP3 Email Engine Version "
S2 = Hex$(Version)
S3 = Mid$(S2, 1, 1) + "." + Mid$(S2, 2, 1) + "." + Mid$(S2, 3, 1)
eResult.Text = S1 + S3 + ". Ready to connect."
End Sub

Sub mExit_Click ()
Dim Code As Integer
Code = seeRelease()
End
End Sub

Sub mVerify_Click ()
Dim Code As Integer
Dim NullString As String
Dim Temp As String * 256
Dim NL As String

NullString = Chr$(0)
NL = Chr$(13) + Chr$(10)
eResult.Text = ""

'check that SMTP server name has been specifed

If Len(eServer.Text) = 0 Then
  eResult.Text = Time$ & " Your SMTP server is not specified."
  Exit Sub
End If

'check that user name has been specifed

If Len(eUser.Text) = 0 Then
  eResult.Text = Time$ & " The user is not specified."
  Exit Sub
End If

If InStr(eUser.Text, "<") <> 0 Then
  eResult.Text = Time$ & "Don't specify '<>' brackets in 'User'."
  Exit Sub
End If

'check "From" email address

If Len(eFrom.Text) = 0 Then
  eResult.Text = Time$ & " Missing 'Email From' address."
  Exit Sub
Else
  Code = seeVerifyFormat(eFrom.Text)
  If Code < 0 Then
    'error in format
    Call ShowError(VERUSR, Code, "From address: ")
    Exit Sub
  End If
End If

' set up log file

Code = seeStringParam(0, SEE_LOG_FILE, "verusr.log")

'connect to server

mVerify.Enabled = False
SCREEN.MousePointer = 11
DoEvents

eResult.Text = Time$ & " Connecting to SMTP server " & eServer.Text
Code = seeSmtpConnect(0, eServer.Text, eFrom.Text, NullString)
If Code < 0 Then
  'error attempting to connect
  Call ShowError(VERUSR, Code, "seeSmtpConnect: ")
  mVerify.Enabled = True
  SCREEN.MousePointer = 0
  Exit Sub
End If

' get server IP address

Code = seeDebug(0, SEE_GET_SERVER_IP, Temp, 40)
eResult.Text = Time$ & " Connected to IP " & Left$(Temp, Code)

' verify user with SMTP server

Code = seeVerifyUser(0, eUser.Text)
If Code = 0 Then
  Code = seeDebug(0, SEE_GET_LAST_RESPONSE, Temp, 80)
  eResult = eUser.Text & " is NOT verified" & NL & Temp
Else
  eResult = eUser.Text & " is verified"
End If
SCREEN.MousePointer = 0
mVerify.Enabled = True
Code = seeClose(0)
End Sub

