VERSION 2.00
Begin Form Auto
   Caption         =   "AutoRespond"
   ClientHeight    =   4665
   ClientLeft      =   2070
   ClientTop       =   2235
   ClientWidth     =   7095
   Height          =   5355
   Left            =   2010
   LinkTopic       =   "Form1"
   ScaleHeight     =   4665
   ScaleWidth      =   7095
   Top             =   1605
   Width           =   7215
   Begin TextBox eResult
      Height          =   4695
      Left            =   0
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   0
      Width           =   7095
   End
   Begin Menu mAuto
      Caption         =   "AutoRespond"
   End
   Begin Menu mExit
      Caption         =   "Exit"
   End
End

Option Explicit

Dim SmtpHostName As String
Dim Pop3HostName As String
Dim Pop3Username As String
Dim Pop3Password As String
Dim MyEmailAddr As String
Dim LogFileName As String
Dim NullString As String
Dim NL As String

Sub Form_Load ()
Dim Code As Integer
Dim Version As Integer
Dim S1, S2, S3 As String
Dim X As String
eResult.Visible = True
Code = seeAttach(2, SEE_KEY_CODE)
If Code < 0 Then
  MsgBox "ERROR: Cannot attach. Check SEE_KEY_CODE."
  End
End If
Show
NullString = Chr$(0)
NL = Chr$(13) + Chr$(10)
' *** IMPORTANT: Edit the following 6 lines as necessary.
SmtpHostName = "10.0.0.1"
Pop3HostName = "10.0.0.1"
Pop3Username = "mike"
Pop3Password = "mike"
MyEmailAddr = "<mike@10.0.0.1>"
LogFileName = "HELLO16.LOG"
' set up log files
Code = seeStringParam(0, SEE_LOG_FILE, "AUTO-0.LOG")
Code = seeStringParam(1, SEE_LOG_FILE, "AUTO-1.LOG")
' chech email address
Code = seeVerifyFormat(MyEmailAddr)
If Code < 0 Then
  'error in format
  MsgBox "ERROR: bad email format " + MyEmailAddr
  End
End If
Version = seeStatistics(0, SEE_GET_VERSION)
S1 = "SMTP/POP3 Email Engine Version "
S2 = Hex$(Version)
S3 = Mid$(S2, 1, 1) + "." + Mid$(S2, 2, 1) + "." + Mid$(S2, 3, 1)
X = S1 + S3 + NL
X = X + "SMTP server : " + SmtpHostName + NL
X = X + "POP3 server : " + Pop3HostName + NL
X = X + "POP3 user   : " + Pop3Username + NL
X = X + "My Email is : " + MyEmailAddr + NL
eResult.Text = X + "Ready to connect." + NL
End Sub

Sub mAuto_Click ()
Dim I As Integer
Dim N As Integer
Dim P1 As Integer
Dim P2 As Integer
Dim NbrMsg As Long
Dim Code As Long
Dim Buffer As String * 1024
Dim Temp As String * 256

Dim ToAddr As String
Dim Message As String
Dim Subject As String

Dim M As Long
Dim X As String

Message = "Your email has been received." & Chr$(0)
Subject = "Automated Response" & Chr$(0)

'connect to our POP3 server

Screen.MousePointer = 11
mAuto.Enabled = False
DoEvents

eResult.Text = eResult.Text & Time$ & " Connecting to POP3 server " & Pop3HostName & NL
Code = seePop3Connect(0, Pop3HostName, Pop3Username, Pop3Password)
If Code < 0 Then
  'error attempting to connect
  Call ShowAutoError(0, Code, "seePop3Connect:")
  mAuto.Enabled = True
  Screen.MousePointer = 0
  Exit Sub
End If

eResult.Text = eResult.Text & Time$ & " Connecting to SMTP server " & SmtpHostName & NL
Code = seeSmtpConnect(1, SmtpHostName, MyEmailAddr, NullString)
If Code < 0 Then
  'error attempting to connect
  Call ShowAutoError(1, Code, "seeSmtpConnect:")
  mAuto.Enabled = True
  Screen.MousePointer = 0
  Code = seeClose(0)  ' close POP3 connection (chan 0)
  Exit Sub
End If

' get # messages waiting

NbrMsg = seeGetEmailCount(0)
If NbrMsg < 0 Then
  Call ShowAutoError(0, NbrMsg, "seeGetEmailCount:")
  mAuto.Enabled = True
  Screen.MousePointer = 0
  Code = seeClose(0) ' close POP3 connection (chan 0)
  Code = seeClose(1) ' close SMTP connection (chan 1)
  Exit Sub
End If
eResult.Text = eResult.Text & Str$(NbrMsg) & " messages waiting." & NL
If NbrMsg = 0 Then
  eResult.Text = eResult.Text & Time$ & " You have no email on the server." & NL
Else
  eResult.Text = eResult.Text & Time$ & " " & Str$(NbrMsg) & " messages waiting." & NL
  ' read message headers
  For I = 1 To NbrMsg
    ' read message I
    eResult.Text = eResult.Text & "---[ Message " & Str(I) & " ]---" & NL
    Buffer = Space$(1024)
    Code = seeGetEmailLines(0, I, 0, Buffer, 1024)
    If Code < 0 Then
       Call ShowAutoError(0, Code, "seeGetEmailLines:")
       Exit Sub
    End If
    If Code > 0 Then
      ' search for "Reply-To: " line
      Temp = Space$(255)
      N = seeExtractText(Buffer, "Reply-To: ", Temp, 255)
      If N = 0 Then
        ' search for "From: " line
        N = seeExtractText(Buffer, "From: ", Temp, 255)
      End If
      If N = 0 Then
        eResult.Text = eResult.Text & "Can't find 'Reply-To:' or 'From:'" & NL
      Else
        eResult.Text = eResult.Text & Temp & NL
        ' extract return address
        P1 = InStr(Temp, ":")
        P2 = InStr(P1, Temp, Chr$(13))
        If P2 = 0 Then
          P2 = Len(Temp) - P1
        End If
        '''MsgBox "P1=" & Str$(P1) & ", P2=" & Str$(P2)
        ToAddr = Mid$(Temp, P1 + 2, P2 - P1 - 2)
        '''MsgBox "[" & ToAddr & "]"
        ToAddr = ToAddr & Chr$(0)
        Code = seeVerifyFormat(ToAddr)
        If Code < 0 Then
         'error in format
          eResult.Text = eResult.Text & "Error in " & ToAddr & NL
          Call ShowAutoError(0, Code, "seeVerifyFormat: ")
        Else
          ' email response
          Code = seeSendEmail(1, ToAddr, NullString, NullString, Subject, Message, NullString)
          If Code < 0 Then
            'error attempting to send email
            Call ShowAutoError(1, Code, "seeSendEmail: ")
            Code = seeClose(0)
            Code = seeClose(1)
            Screen.MousePointer = 0
            Exit Sub
          Else
            eResult.Text = eResult.Text & "Response sent to " & ToAddr & NL
            eResult.Text = eResult.Text & NL
          End If
        End If
      End If
    End If
    DoEvents
  Next I
End If
Screen.MousePointer = 0
Code = seeClose(0) ' close POP3 connection (chan 0)
Code = seeClose(1) ' close SMTP connection (chan 1)
eResult.Text = eResult.Text & Time$ & " Done."
mAuto.Enabled = True
End Sub

Sub mExit_Click ()
Dim Code As Long
Dim NullString As String
NullString = Chr$(0)
Code = seeDebug(-2, 0, NullString, 0)
Code = seeRelease()
End
End Sub

Private Sub ShowAutoError (Chan As Long, Code As Long, Msg As String)
Dim Buffer As String * 81
Buffer = Space$(81)
Code = seeErrorText(Chan, Code, Buffer, 80)
eResult.Text = eResult.Text & Msg & Buffer & NL
End Sub

