VERSION 2.00
Begin Form GetRaw
   Caption         =   "Get Raw"
   ClientHeight    =   5085
   ClientLeft      =   2295
   ClientTop       =   2580
   ClientWidth     =   6750
   Height          =   5775
   Left            =   2235
   LinkTopic       =   "Form1"
   ScaleHeight     =   5085
   ScaleWidth      =   6750
   Top             =   1950
   Width           =   6870
   Begin TextBox eResult
      Height          =   5055
      Left            =   0
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   0
      Width           =   6735
   End
   Begin Menu mGet
      Caption         =   "Get"
   End
   Begin Menu mExit
      Caption         =   "Exit"
   End
End

Option Explicit

Sub Form_Load ()
Dim Code As Integer
Dim Version As Integer
Dim S1, S2, S3 As String
Code = seeAttach(1, SEE_KEY_CODE)
If Code < 0 Then
  MsgBox "ERROR: Cannot attach. Check SEE_KEY_CODE."
  End
End If
Version = seeStatistics(0, SEE_GET_VERSION)
S1 = "SMTP/POP3 Email Engine Version "
S2 = Hex$(Version)
S3 = Mid$(S2, 1, 1) + "." + Mid$(S2, 2, 1) + "." + Mid$(S2, 3, 1)
eResult.Text = S1 + S3 + ". Ready to GET raw message" & Chr$(13) & Chr$(10)
End Sub

Sub mExit_Click ()
Dim Code As Integer
Code = seeRelease()
End
End Sub

Sub mGet_Click ()
Dim Code As Long
Dim MsgSize As Long
Dim BytesRead As Long
Dim MsgNumber As Long
Const BUFFER_SIZE = 5000
Dim Buffer As String * BUFFER_SIZE
Dim Server As String
Dim User As String
Dim Password As String
'*** IMPORTANT: Edit the next 4 lines as necessary ***
Server = "10.0.0.1"
User = "mike"
Password = "mike"
MsgNumber = 1
'*** END IMPORTANT ***
' connect to POP3 server
eResult.Text = eResult.Text & "Connecting to " & Server & Chr$(13) & Chr$(10)
Code = seePop3Connect(0, Server, User, Password)
If Code < 0 Then
  'error attempting to connect
  eResult.Text = eResult.Text & "Error " & Str$(Code)
  Exit Sub
End If
' read raw message
MsgSize = seeGetEmailSize(0, MsgNumber)
eResult.Text = eResult.Text & "Message " & Str$(MsgNumber) & " size is " & Str$(MsgSize) & Chr$(13) & Chr$(10)
If MsgSize <= 0 Then
   MsgBox "No such message"
Else
   If MsgSize >= BUFFER_SIZE Then
     MsgBox "Message is too big"
   Else
     ' room for BUFFER_SIZE bytes
     eResult.Text = eResult.Text & "Wait while file is being downloaded..."
     Screen.MousePointer = 11
     mGet.Enabled = False
     BytesRead = seeGetEmailLines(0, 1, 2000, Buffer, BUFFER_SIZE)
     eResult.Text = eResult.Text & "OK" & Chr$(13) & Chr$(10)
     Screen.MousePointer = 0
     mGet.Enabled = True
     eResult.Text = eResult.Text & Str$(BytesRead) & " bytes read." & Chr$(13) & Chr$(10)
     ' write to disk
     Open "FILE.RAW" For Output As 1
     Print #1, Left$(Buffer, BytesRead)
     Close 1
   End If
End If

Code = seeClose(0)
Code = seeRelease()

End Sub

