VERSION 4.00
Begin VB.Form GetRaw
   Caption         =   "GetRaw"
   ClientHeight    =   4800
   ClientLeft      =   2865
   ClientTop       =   3630
   ClientWidth     =   6690
   Height          =   5490
   Left            =   2805
   LinkTopic       =   "Form1"
   ScaleHeight     =   4800
   ScaleWidth      =   6690
   Top             =   3000
   Width           =   6810
   Begin VB.TextBox eResult
      Height          =   4575
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   120
      Width           =   6495
   End
   Begin VB.Menu mGet
      Caption         =   "Get"
   End
   Begin VB.Menu mExit
      Caption         =   "Exit"
   End
End
Attribute VB_Name = "GetRaw"
Attribute VB_Creatable = False
Attribute VB_Exposed = False

Private Sub Form_Load()
Dim Code As Long
Dim Version As Long
Dim S1, S2, S3 As String
Code = seeAttach(1, SEE_KEY_CODE)
If Code < 0 Then
  MsgBox "ERROR: Cannot attach. Check SEE_KEY_CODE."
  End
End If
Version = seeStatistics(0, SEE_GET_VERSION)
S1 = "SMTP/POP3 Email Engine Version "
S2 = Hex$(Version)
S3 = Mid$(S2, 1, 1) + "." + Mid$(S2, 2, 1) + "." + Mid$(S2, 3, 1)
eResult.Text = S1 + S3 + ". Ready to GET raw message." & Chr$(13) & Chr$(10)
End Sub

Private Sub mExit_Click()
Dim Code As Integer
Code = seeRelease()
End
End Sub

Private Sub mGet_Click()
Dim Code As Long
Dim MsgSize As Long
Dim BytesRead As Long
Dim MsgNumber As Long
Const BUFFER_SIZE = 65500
Dim Buffer As String * BUFFER_SIZE
Dim Server As String
Dim User As String
Dim Password As String
'*** IMPORTANT: Edit the next 4 lines as necessary ***
Server = "10.0.0.1"
User = "mike"
Password = "mike"
MsgNumber = 1
'*** END IMPORTANT ***
' connect to POP3 server
eResult.Text = eResult.Text & "Connecting to " & Server & Chr$(13) & Chr$(10)
Code = seePop3Connect(0, Server, User, Password)
If Code < 0 Then
  'error attempting to connect
  eResult.Text = eResult.Text & "Error " & Str$(Code)
  Exit Sub
End If
' read raw message
MsgSize = seeGetEmailSize(0, MsgNumber)
eResult.Text = eResult.Text & "Message " & Str$(MsgNumber) & " size is " & Str$(MsgSize) & Chr$(13) & Chr$(10)
If MsgSize <= 0 Then
   MsgBox "No such message"
Else
   If MsgSize >= BUFFER_SIZE Then
     MsgBox "Message is too big"
   Else
     ' room for BUFFER_SIZE bytes
     eResult.Text = eResult.Text & "Wait while file is being downloaded..."
     Screen.MousePointer = 11
     mGet.Enabled = False
     BytesRead = seeGetEmailLines(0, 1, 2000, Buffer, BUFFER_SIZE)
     eResult.Text = eResult.Text & "OK" & Chr$(13) & Chr$(10)
     Screen.MousePointer = 0
     mGet.Enabled = True
     eResult.Text = eResult.Text & Str$(BytesRead) & " bytes read." & Chr$(13) & Chr$(10)
     ' write to disk
     Open "FILE.RAW" For Output As 1
     Print #1, Left$(Buffer, BytesRead)
     Close 1
   End If
End If

Code = seeClose(0)
Code = seeRelease()

End Sub


